import { SlatePlugin, SlateProps, TDescendant } from '@udecode/slate-plugins-core';
import { Editor } from 'slate';
/**
 * Convert Slate Nodes into HTML string
 */
export declare const serializeHTMLFromNodes: (editor: Editor, { plugins, nodes, slateProps, stripDataAttributes, preserveClassNames, }: {
    /**
     * Plugins with renderElement or renderLeaf.
     */
    plugins: SlatePlugin[];
    /**
     * Slate nodes to convert to HTML.
     */
    nodes: TDescendant[];
    /**
     * Enable stripping data attributes
     */
    stripDataAttributes?: boolean | undefined;
    /**
     * List of className prefixes to preserve from being stripped out
     */
    preserveClassNames?: string[] | undefined;
    /**
     * Slate props to provide if the rendering depends on slate hooks
     */
    slateProps?: Partial<SlateProps> | undefined;
}) => string;
//# sourceMappingURL=serializeHTMLFromNodes.d.ts.map